;*****************************************************************
;
;	Filename:	NAP_DEMO.ASM
;	Code Rev:	1.0
;	Rev Date:	7/28/03
;	PCB Rev :	R1.0A R18 PCB
;	Author  :	David T. Davis
;
;*****************************************************************
;
;	Oscillator  :	XT
;	Code Protect:	Off
;	Watchdog    :	On
;	PWR up timer:	Off
;
;*****************************************************************
;
;	Program to demonstrate NAP, an extended sleep routine.
;
;*****************************************************************

	TITLE	"NAP demo ASM code 1.0"
	LIST	P=PIC16F84, F=INHX8M
	RADIX	HEX
	
;*****************************************************************
;	Register & Bit Definitions For Processor.
;*****************************************************************
	INCLUDE	<P16F84.INC>

;*****************************************************************
;	Register Definitions For Main Routine.
;*****************************************************************
;	none

;*****************************************************************
;	Register Definitions For NAP Routine.
;*****************************************************************
NAPLO	EQU	0x0C		; low byte counter for NAP
NAPHI	EQU	0x0D		; high byte counter for NAP

;*****************************************************************
;	Register Definitions For WAIT Routine.
;*****************************************************************
DELAY	EQU	0x0E		; low byte counter for NAP
DELAY2	EQU	0x0F		; high byte counter for NAP

;*****************************************************************
;	Initialization routine.
;*****************************************************************
	ORG	0x00

	BANKSEL	OPTION_REG
	MOVLW	0xFF		; setup 1:128 prescalar and assign
	MOVWF	OPTION_REG	; to WDT (2.3 second WDT timeout)

	BANKSEL TRISA
	MOVLW	0x00
	MOVWF	TRISA		; make PORTA all outputs
	MOVLW	0x00
	MOVWF	TRISB		; make PORTB all outputs

	BANKSEL PORTA
	MOVLW	0x00
	MOVWF	PORTA		; init PORTA to all zeros
	MOVLW	0x00
	MOVWF	PORTB		; init PORTB to all zeros

;*****************************************************************
;	Main routine.
;*****************************************************************
MAIN	CLRWDT			; clear WDT
	BSF	PORTB,0
	MOVLW	0xFA
	MOVWF	DELAY
	CALL	WAIT		; turn buzzer on for 250mS
	BCF	PORTB,0		; turn buzzer off
	GOTO	NAP		; when finished goto take nap

;*****************************************************************
;	Include files.
;*****************************************************************
	INCLUDE	<NAP.INC>
	INCLUDE	<WAIT.INC>

;*****************************************************************
;	End of program.
;*****************************************************************

	END
