;*****************************************************************
;       WAIT (1 ms delay subroutine)
;
;       This routine takes the value in DELAY and multiplies it
;	times 1 millisecond to determine total delay time.
;
;	Input: none
;	Output: none
;
;	Requires: DELAY & DELAY2 registers defined.
;
;	Executed by:
;
;	MOVLW	0x??		; duration of delay in mS
;	MOVWF	DELAY
;	CALL	WAIT 
;*****************************************************************
WAIT
	MOVF	DELAY,F
	BTFSC	STATUS,Z	; check DELAY for zero
	RETLW	0		; if DELAY = zero just return

DLOOP1	MOVLW	0x70		; timing adjustment variable
	MOVWF	DELAY2

DLOOP2	CLRWDT			; clear WDT
	NOP
	NOP
	NOP
	NOP
	NOP
	DECFSZ	DELAY2,F	; inner loop complete?
	GOTO	DLOOP2		; no, go again                               
	DECFSZ	DELAY,F		; outer loop complete?
	GOTO	DLOOP1		; no, go again

	RETLW	0

